Subject: [nemo] Router lifetime in RAs from mobile routers

From: Vijay Devarapalli <[email-masked]>
Date: Wed, 31 Mar 2004 19:36:58 -0800

hi,

you had the following comment on draft-ietf-nemo-basic-support

> I'm a bit confused by this text in section 5.6:
> 
>    When the Mobile Router is at home, it MAY be configured to send
>    Router Advertisements and reply to Router Solicitations on the
>    interface attached to the home link.  The value of the Router
>    Lifetime field MUST be set to zero to prevent other nodes from
>    configuring the Mobile Router as the default router.
> 
> I don't see cases where the mobile router would have a different
> upstream link in its home link than a non-mobile router on this
> link.  Is there a use case where it is expected that all the routers
> on the home link might be mobile routers (so only mobile routers
> are replying to RSs?)
> 
> Not a blocking comment, obviously; I'm just curious about the use
> case that drives this.

actually this restriction is there to protect IPv6 hosts
on the home link from configuring a mobile router as
the default router instead of a non-mobile router.

you could have mobile nodes and mobile routers connecting
to the same home link when they are at home. when the
mobile routers return home, they can start acting like
regular routers on the egress interface (the interface
with which they attach to the home link). they can start
sending router advertisements. but we dont want mobile nodes
(or any IPv6 host) on the home link to pick the mobile
router as the default router. so we recommed setting the
lifetime in the router advertisements to zero, so that no
host on the home link picks a mobile router as the default
router.

do you see a need for more text to explain this?

Vijay